summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorThomas Deutschmann <whissi@gentoo.org>2018-09-27 16:56:55 +0200
committerThomas Deutschmann <whissi@gentoo.org>2018-09-27 18:19:12 +0200
commit3287ded77997af0fe8efbe40d89aaac67bcf0750 (patch)
treea7099eb5490f1cbacf5d6570a546848b5fa73e26
parentmozconfig-v6.60.eclass: disable stylo for arm, renders gui unusable (diff)
downloadgentoo-3287ded77997af0fe8efbe40d89aaac67bcf0750.tar.gz
gentoo-3287ded77997af0fe8efbe40d89aaac67bcf0750.tar.bz2
gentoo-3287ded77997af0fe8efbe40d89aaac67bcf0750.zip
mozconfig-v6.60.eclass: clang doesn't support thumb-interwork
Backport of commit 2d25811f80b28d70558fdfff1391a856fbffd47f. Signed-off-by: Thomas Deutschmann <whissi@gentoo.org>
-rw-r--r--eclass/mozconfig-v6.60.eclass8
1 files changed, 6 insertions, 2 deletions
diff --git a/eclass/mozconfig-v6.60.eclass b/eclass/mozconfig-v6.60.eclass
index 2e2b1b9ec614..905a64c9787f 100644
--- a/eclass/mozconfig-v6.60.eclass
+++ b/eclass/mozconfig-v6.60.eclass
@@ -334,8 +334,12 @@ mozconfig_config() {
# Modifications to better support ARM, bug 553364
if use neon ; then
mozconfig_annotate '' --with-fpu=neon
- mozconfig_annotate '' --with-thumb=yes
- mozconfig_annotate '' --with-thumb-interwork=no
+
+ if ! tc-is-clang ; then
+ # thumb options aren't supported when using clang, bug 666966
+ mozconfig_annotate '' --with-thumb=yes
+ mozconfig_annotate '' --with-thumb-interwork=no
+ fi
fi
if [[ ${CHOST} == armv* ]] ; then
mozconfig_annotate '' --with-float-abi=hard